#ifndef CCONTACT_H
#define CCONTACT_H

#include "GlobalDefine.h"
#include <QString>
#include <QPixmap>

class CContact
{
public:
    CContact(QString ContactNbr, QString ContactName = "", QPixmap *Picture = 0);
    CContact();
    virtual ~CContact();

    int SetContactImage(QString FilePath);

    QString mContactName;
    QPixmap mContactPicture;
    QString mContactNumber, mRAWContactNbr;

    CContact &operator=(const CContact source);
};

 bool operator==(const CContact& left, const CContact& right);
 bool operator!=(const CContact& left, const CContact& right);

QDataStream &operator<<(QDataStream &out, const CContact &source);
QDataStream &operator>>(QDataStream &in, CContact &dest);
#endif // CCONTACT_H
